Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence Class Reference

`#include <uiop_endpoints.h>`

Inheritance diagram for _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence

[legend]
Collaboration diagram for _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence (void)
| _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence (CORBA::ULong maximum, CORBA::ULong length, TAO_UIOP_Endpoint_Info *data, CORBA::Boolean release = 0)
| _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence (const _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence &rhs)
_TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence& | operator= (const _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence &rhs)
virtual | ~_TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence (void)
TAO_UIOP_Endpoint_Info& | operator[] (CORBA::ULong i)
const TAO_UIOP_Endpoint_Info& | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
TAO_UIOP_Endpoint_Info* | get_buffer (CORBA::Boolean orphan = 0)
const TAO_UIOP_Endpoint_Info* | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, TAO_UIOP_Endpoint_Info *data, CORBA::Boolean release)
## Static Public Methods
TAO_UIOP_Endpoint_Info* | allocbuf (CORBA::ULong size)
void | freebuf (TAO_UIOP_Endpoint_Info *buffer)

## Constructor & Destructor Documentation

ACE_INLINE _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence ( | void )

ACE_INLINE _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence ( | CORBA::ULong maximum )

ACE_INLINE _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence ( | CORBA::ULong maximum,
| CORBA::ULong length,
| TAO_UIOP_Endpoint_Info * data,
| CORBA::Boolean release = 0 )

ACE_INLINE _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence ( | const _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence & rhs )

_TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::~_TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence ( | void )`[virtual]`

## Member Function Documentation

void _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::_allocate_buffer ( | CORBA::ULong length )`[virtual]`

| Reimplemented from TAO_Base_Sequence.

void _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::_deallocate_buffer ( | void )`[virtual]`

| Reimplemented from TAO_Base_Sequence.

ACE_INLINE TAO_UIOP_Endpoint_Info * _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::allocbuf ( | CORBA::ULong size )`[static]`

ACE_INLINE void _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::freebuf ( | TAO_UIOP_Endpoint_Info * buffer )`[static]`

ACE_INLINE const TAO_UIOP_Endpoint_Info * _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::get_buffer ( | void ) const

ACE_INLINE TAO_UIOP_Endpoint_Info * _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::get_buffer ( | CORBA::Boolean orphan = 0 )

ACE_INLINE _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence & _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::operator= ( | const _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence & rhs )

ACE_INLINE const TAO_UIOP_Endpoint_Info & _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::operator[] ( | CORBA::ULong i ) const

ACE_INLINE TAO_UIOP_Endpoint_Info & _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::operator[] ( | CORBA::ULong i )

ACE_INLINE void _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence::replace ( | CORBA::ULong max,
| CORBA::ULong length,
| TAO_UIOP_Endpoint_Info * data,
| CORBA::Boolean release )

The documentation for this class was generated from the following files:

- uiop_endpoints.h
- uiop_endpoints.cpp
- uiop_endpoints.i